package com.ruoyi.project.production.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.project.sems.domain.TApproverFile;
import com.ruoyi.project.sems.mapper.TApproverFileMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TSaiApproveFileMapper;
import com.ruoyi.project.production.domain.TSaiApproveFile;
import com.ruoyi.project.production.service.ITSaiApproveFileService;

/**
 * SAI审批附件Service业务层处理
 *
 * @author ruoyi
 * @date 2023-04-06
 */
@Service
public class TSaiApproveFileServiceImpl extends ServiceImpl<TSaiApproveFileMapper, TSaiApproveFile> implements ITSaiApproveFileService
{
    @Autowired
    private TSaiApproveFileMapper tSaiApproveFileMapper;

    /**
     * 查询SAI审批附件
     *
     * @param id SAI审批附件ID
     * @return SAI审批附件
     */
    @Override
    public TSaiApproveFile selectTSaiApproveFileById(Long id)
    {
        return tSaiApproveFileMapper.selectTSaiApproveFileById(id);
    }

    /**
     * 查询SAI审批附件列表
     *
     * @param tSaiApproveFile SAI审批附件
     * @return SAI审批附件
     */
    @Override
    public List<TSaiApproveFile> selectTSaiApproveFileList(TSaiApproveFile tSaiApproveFile)
    {
        return tSaiApproveFileMapper.selectTSaiApproveFileList(tSaiApproveFile);
    }

    /**
     * 新增SAI审批附件
     *
     * @param tSaiApproveFile SAI审批附件
     * @return 结果
     */
    @Override
    public int insertTSaiApproveFile(TSaiApproveFile tSaiApproveFile)
    {
        tSaiApproveFile.setCreateTime(DateUtils.getNowDate());
        return tSaiApproveFileMapper.insertTSaiApproveFile(tSaiApproveFile);
    }

    /**
     * 修改SAI审批附件
     *
     * @param tSaiApproveFile SAI审批附件
     * @return 结果
     */
    @Override
    public int updateTSaiApproveFile(TSaiApproveFile tSaiApproveFile)
    {
        return tSaiApproveFileMapper.updateTSaiApproveFile(tSaiApproveFile);
    }

    /**
     * 批量删除SAI审批附件
     *
     * @param ids 需要删除的SAI审批附件ID
     * @return 结果
     */
    @Override
    public int deleteTSaiApproveFileByIds(Long[] ids)
    {
        return tSaiApproveFileMapper.deleteTSaiApproveFileByIds(ids);
    }

    /**
     * 删除SAI审批附件信息
     *
     * @param id SAI审批附件ID
     * @return 结果
     */
    @Override
    public int deleteTSaiApproveFileById(Long id)
    {
        return tSaiApproveFileMapper.deleteTSaiApproveFileById(id);
    }
}
